net.sourceforge.pmd.lang.java.symboltable

## Class VariableNameDeclaration

- java.lang.Object
- - net.sourceforge.pmd.lang.java.symboltable.AbstractNameDeclaration
  - - net.sourceforge.pmd.lang.java.symboltable.VariableNameDeclaration

All Implemented Interfaces:
  NameDeclaration

    public class VariableNameDeclaration
    extends AbstractNameDeclaration

### Field Summary

### Fields inherited from class net.sourceforge.pmd.lang.java.symboltable.AbstractNameDeclaration

`node`

### Constructor Summary

Constructors
Constructor and Description
`VariableNameDeclaration(ASTVariableDeclaratorId node)`

### Method Summary

Methods
`boolean` `equals(Object o)`
`AccessNode` `getAccessNodeParent()`
`ASTVariableDeclaratorId` `getDeclaratorId()`
`Scope` `getScope()`
`Class<?>` `getType()`
`String` `getTypeImage()`
`int` `hashCode()`
`boolean` `isArray()`
`boolean` `isExceptionBlockParameter()`
`boolean` `isPrimitiveType()`
`boolean` `isReferenceType()` Note that an array of primitive types (int[]) is a reference type.
`String` `toString()`

### Methods inherited from class net.sourceforge.pmd.lang.java.symboltable.AbstractNameDeclaration

`getImage, getNode`

### Methods inherited from class java.lang.Object

`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

### Constructor Detail

#### VariableNameDeclaration

    public VariableNameDeclaration(ASTVariableDeclaratorId node)

### Method Detail

#### getScope

    public Scope getScope()

Specified by:
  `getScope` in interface `NameDeclaration`
Overrides:
  `getScope` in class `AbstractNameDeclaration`

#### isArray

    public boolean isArray()

#### isExceptionBlockParameter

    public boolean isExceptionBlockParameter()

#### isPrimitiveType

    public boolean isPrimitiveType()

#### getTypeImage

    public String getTypeImage()

#### isReferenceType

    public boolean isReferenceType()

Note that an array of primitive types (int[]) is a reference type.

#### getAccessNodeParent

    public AccessNode getAccessNodeParent()

#### getDeclaratorId

    public ASTVariableDeclaratorId getDeclaratorId()

#### getType

    public Class<?> getType()

#### equals

    public boolean equals(Object o)

Overrides:
  `equals` in class `Object`

#### hashCode

    public int hashCode()

Overrides:
  `hashCode` in class `Object`

#### toString

    public String toString()

Overrides:
  `toString` in class `Object`